import Vue from 'vue'
import Router from 'vue-router'
import VueFire from 'vuefire'
import '@/registerServiceWorker'

// Import routes
import Routes from '@/routes'

// Import Vuex store
import { store } from '@/store/store'

// Import main component
import App from '@/App'

// Router START here
const router = new Router({
  routes: Routes,
  mode: 'history',
  base: process.env.BASE_URL
})

// vue configs
Vue.config.productionTip = false
Vue.config.ignoredElements = [/^ion-/]

// init
Vue.use(Router)
Vue.use(VueFire)

/* eslint-disable */
if (document.querySelector('#app')) {
  new Vue({
    el: '#app',
    render: h => h(App),
    router,
    store,
    data() {
      return {}
    },
    created() {},
    mounted() {},
    beforeUpdate() {},
    beforeDestroy() {},
    destroyed() {},
    methods: {}
  })
}
